# Get MCP Client Metadata

> For AI agents: the complete documentation index is at https://buddy.works/llms.txt

`GET /oauth2/mcp-client.json`

Read the client ID metadata document Buddy presents to MCP servers

## Response Body

```typescript
interface ResponseBody {
  /** The client identifier, equal to the URL of this metadata document */
  client_id?: string;
  /** The human-readable name of the client */
  client_name?: string;
  /** The URL of the home page of the client */
  client_uri?: string;
  /** The URL of the logo of the client */
  logo_uri?: string;
  /** The redirection URIs allowed for the client */
  redirect_uris?: string[];
  /** The OAuth 2.0 grant types the client may use */
  grant_types?: string[];
  /** The OAuth 2.0 response types the client may use */
  response_types?: string[];
  /** The authentication method the client uses at the token endpoint */
  token_endpoint_auth_method?: string;
}
```

## Request Example

```bash
curl -X GET "https://api.buddy.works/oauth2/mcp-client.json" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
```

## Response Example

**Status:** `200 OK`


---
Original source: https://buddy.works/docs/api/oauth/get-mcp-client